> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment.md).

# Advance Payment

- [Save Card](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card.md)
- [Stored Card Initiation](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/stored-card-initiation.md)
- [Retrieve Stored Card](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/retrieve-stored-card.md)
- [Transaction using Stored Card](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/transaction-using-stored-card.md)
- [One Click Payment](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/transaction-using-stored-card/one-click-payment.md)
- [Two Click Payment](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/transaction-using-stored-card/two-click-payment.md)
- [Delete Stored Card](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/save-card/delete-stored-card.md)
- [Direct Integration](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration.md)
- [3DS Transaction](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration/3ds-transaction.md)
- [3DS Initiation](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration/3ds-transaction/3ds-initiation.md)
- [3DS Authentication Payer](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration/3ds-transaction/3ds-authentication-payer.md)
- [3DS Authorize/Purchase Payment](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration/3ds-transaction/3ds-authorize-purchase-payment.md)
- [Non 3DS Transaction](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/direct-integration/non-3ds-transaction.md)
- [Capture](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/capture.md)
- [Recurring](https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment/recurring.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/credit-card/advance-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
